import ServerErrorCode from './server.error.code'
import BusinessErrorCode from './business.error.code'

/**
 * 错误处理
 * ServerErrorCode 服务器错误
 * BusinessErrorCode 业务错误
 * @param {Object} error
 */
class ErrorHandling {
  constructor () {
    this.server = (error = Object) => ServerErrorCode(error)
    this.business = (error = Object, key = String) => BusinessErrorCode(error, key)
  }
}

export default ErrorHandling
