/**
 * 服务器错误处理
 * @param error
 * @returns {string}
 */
export default function (error) {
  let msg = ''
  switch (error.status) {
    /* 4xx */
    case 400:
      msg = '请求的语法错误'
      break
    case 401:
      msg = '用户身份未验证'
      break
    case 403:
      msg = '服务器拒绝操作'
      break
    case 404:
      msg = '接口/资源不存在'
      break
    case 405:
      msg = '请求中的方法被禁止'
      break
    case 406:
      msg = '服务器无法根据请求的内容特性完成请求'
      break
    case 407:
      msg = '请求要求代理的身份认证'
      break
    case 408:
      msg = '请求超时'
      break
    case 409:
      msg = '服务器处理请求发生冲突'
      break
    case 410:
      msg = '该请求或资源已移除，请联系客服'
      break
    case 411:
      msg = '请求无效，缺少Content-Length字段'
      break
    case 412:
      msg = '请求信息的先决条件错误'
      break
    case 413:
      msg = '请求实体过大，服务器拒绝请求'
      break
    case 414:
      msg = '请求URI过长，服务器拒绝请求'
      break
    case 415:
      msg = '服务器无法处理请求附带的媒体格式'
      break
    case 416:
      msg = '请求范围无效'
      break
    case 417:
      msg = '服务器无法满足Expect的请求头信息'
      break

    /* 5xx */
    case 500:
      msg = '服务器内部错误，无法完成请求'
      break
    case 501:
      msg = '服务器不支持请求的功能，无法完成请求'
      break
    case 502:
    case 503:
    case 504:
      msg = '服务器错误'
      break
    case 505:
      msg = '服务器不支持请求的HTTP协议的版本，无法完成处理'
      break
    case 530:
      msg = '未登陆或登陆超时'
      break

    /* 其他错误 */
    default:
      msg = '请求失败，请联系客服'
      break
  }
  return msg
}
