import Vue from 'vue' // 引入Vue
import Loading from './Loading' // 引入要动态创建的vue模板

const Indicator = Vue.extend(Loading)
let instance

export default {
  open () {
    if (!instance) {
      instance = new Indicator({
        el: document.createElement('div')
      })
    }
    if (instance.visible) return
    document.body.appendChild(instance.$el)

    Vue.nextTick(() => {
      instance.visible = true
    })
  },

  close () {
    if (instance) {
      instance.visible = false
    }
  }
}
